Purchase details
Purchases
Purchase details
Details of a purchase (of an offer)
Purchase Attributes
amount_in_cents(integer) - Price of the purchase in centspayment_type(string) - Type of paymenttrial(integer) - Number of trial days. (subscription and payment plans only)trial_end_at(string) - Date the trial endsmultipay_payments_made(integer) - Number of payments madepayment_plan_total_payments(integer) - Total number of payments in the payment planstatus(string) - The status of the purchase. For one-time purchases this will match the transaction detail status. For subscriptions and payment plans this status represents the status of the plan as compared to the transaction status which represents the individual payment.opt_in(boolean) - Whether the purchase was opt-inraw_extra_contact_information(object) - Extra contact informationcurrency(string) - Currency of the purchaseeffective_start_at(string) - Start date of the purchasecardholder_name(string) - Name of the cardholderbilling_address_zip(string) - Zip code of the billing addressdeactivated_at(string) - Date and time the purchase was deactivateddeactivation_reason(string) - Reason for deactivationcoupon_code(string) - Coupon code used for the purchasesource(string) - Source of the purchasereferrer(string) - Referrer of the purchasequantity(integer) - Quantity of the purchasecreated_at(string) - Date and time the purchase was createdupdated_at(string) - Date and time the purchase was updated_at
Sparse Fields
Only return amount_in_cents and multipay_payments_made attributes
GET /v1/purchases/123?fields[purchases]=amount_in_cents,multipay_payments_made
Response will only include requested fields
{
"data": {
"id": "123",
"type": "purchases",
"attributes": {
"amount_in_cents": 19900,
"multipay_payments_made": 1
}
}
}
GET
Purchase details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Purchase ID
Query Parameters
Partial attributes as specified, e.g. fields[purchases]=amount_in_cents